Git Flow. 
When working on a feature or bug-fix start by checking out a new branch under the namespace feature or bug-fix
ex feature/support-for-platform
When you are ready to merge down to monorepo follow instructions in the changelog. 
Monorepo will automatically roll the version number up, and update all other feature branches with the new code and new changelog versions.

When you merge down to monorepo monorepo will automatically deploy to testing. You can however manually merge down to testing. Testing will automatically update the testing server with the latest code in testing on every commit. It will also push updates to the beta release IFF there is a version number at the top of the changelog ex.  [bug-fix] [version x.y.z] if there is no version number it will skip the step up pushing to beta. 

When you merge from monorepo down to main, main will update SVN, FREEMIUS, the WpressAPI and the zips repo with the latest code. 

1. monorepo.yml
   - Check version consistency in changelog.txt
   - Propose new version number based on change type if pull request
   - Update version numbers and propagate changes to testing branch

2. main.yml
   - Deploy changes to WordPress SVN, Freemius, and wpressapi.com
   - Update version numbers in relevant files
   - Merge changes from testing branch to main branch

3. testing.yml
   - Deploy changes to testing environment
   - Push beta version of plugin to freemius

4. feature.yml
   - On Commit to monorepo pushes changes to all other feature branches

5. before_after.yml
   - before_script:
     - Install necessary tools (jq, curl, git, perl, tree, rsync, zip, sshpass)
     - Set up git configurations (user email, user name, merge driver)
     - Clone freemius-monorepo-ci repository to .freemius-monorepo-ci folder
     - Set up cache configuration for GitLab CI/CD pipeline

   - after_script:
     - Reset git state to monorepo branch
